QFQ: Typo3 Extbase Extension
===============================

Version: see `extension/ext_emconf.php`

Installation
------------
* Ubuntu < 16.04: Take care that the `php5-mysqlnd` driver is installed:
  * See also: http://dev.mysql.com/downloads/connector/php-mysqlnd/
  * If there is a error message "Call to undefined method mysqli_stmt::get_result()", `php5-mysqlnd` is not installed or not active.
  * The following functions are used and are only available with the native driver:

    ```bash  
         mysqli::get_result (important),
         mysqli::fetch_all (nice to have)
    ```

  * Ubuntu:

    ```bash
        sudo apt-get install php5-mysqlnd
        sudo php5enmod mysqlnd
        sudo service apache2 restart
    ```

* Install extension as regular.
* In `typo3conf/ext/qfq` rename `config.examle.ini` to `config.ini`.
* Fill `config.ini` with valid database credentials.
* Insert a new content record of type `qfq`.
* As a test, insert: `sql1 = SELECT 'Hello World'`. View the page in browser.

Bootstrap: include by TypoScript
---------

```script
page.includeCSS {

    file1 = typo3conf/ext/qfq/Resources/Public/Css/bootstrap.min.css
    file2 = typo3conf/ext/qfq/Resources/Public/Css/bootstrap-theme.min.css
    file3 = typo3conf/ext/qfq/Resources/Public/Css/jqx.base.css
    file4 = typo3conf/ext/qfq/Resources/Public/Css/jqx.bootstrap.css
    file5 = typo3conf/ext/qfq/Resources/Public/Css/qfq-bs.css
}

page.includeJS {

    file1 = typo3conf/ext/qfq/Resources/Public/JavaScript/jquery.min.js
    file2 = typo3conf/ext/qfq/Resources/Public/JavaScript/bootstrap.min.js
    file3 = typo3conf/ext/qfq/Resources/Public/JavaScript/validator.min.js
    file4 = typo3conf/ext/qfq/Resources/Public/JavaScript/jqx-all.js
    file4 = typo3conf/ext/qfq/Resources/Public/JavaScript/tinymce.min.js
    file5 = typo3conf/ext/qfq/Resources/Public/JavaScript/EventEmitter.min.js
    file6 = typo3conf/ext/qfq/Resources/Public/JavaScript/qfq.min.js
}
```

Usage
-----
* typo3conf/ext/qfq/documentation/_make/build/html/index.html

