# HTML

This document explains the HTML markup used by QFQ.

## Hooks

Hooks are used on by the Client to gather information required for
asynchronous requests and to add predefined event handlers to HTML Elements.


### form.data-toggle="validator"

Adding the attribute `data-toggle="validator"` to a `<form>` element,
enables the Bootstrap Validator on that HTML Form.


### .data-sip

Asynchronous requests require to pass a SID to the Server. Elements
triggering an asynchronous request, may gather the SIP from the
`data-sip` attribute assigned to the HTML Form Element.


### .class="record-delete"

HTML Form Buttons having the class `record-delete` set, will get an
`onclick` handler attached by `QfqNS.QfqRecordList`. Each `<button>`
also requires an `data-sip` attribute.


### .data-load=""

HTML Form Elements having the attribute `data-load`, will trigger a
call to `api/load.php` upon change.

### id="save-button"
### id="close-button"
### id="delete-button"
### id="form-new-button"
